# H248_DigitMapValue Class Reference

`#include <h248.h>`

Inheritance diagram for H248_DigitMapValue:

List of all members.

## Public Types

enum | OptionalFields { e_startTimer, e_shortTimer, e_longTimer, e_durationTimer }

## Public Member Functions

| H248_DigitMapValue (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_startTimer
PASN_Integer | m_shortTimer
PASN_Integer | m_longTimer
PASN_IA5String | m_digitMapBody
PASN_Integer | m_durationTimer

## Member Enumeration Documentation

enum H248_DigitMapValue::OptionalFields

Enumerator:

  e_startTimer |
  e_shortTimer |
  e_longTimer |
  e_durationTimer |

## Constructor & Destructor Documentation

H248_DigitMapValue::H248_DigitMapValue | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_DigitMapValue::GetDataLength | ( |  | ) | const

PBoolean H248_DigitMapValue::Decode | ( | PASN_Stream & | strm | ) |

void H248_DigitMapValue::Encode | ( | PASN_Stream & | strm | ) | const

void H248_DigitMapValue::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_DigitMapValue::Compare | ( | const PObject & | obj | ) | const

PObject* H248_DigitMapValue::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H248_DigitMapValue::m_startTimer

PASN_Integer H248_DigitMapValue::m_shortTimer

PASN_Integer H248_DigitMapValue::m_longTimer

PASN_IA5String H248_DigitMapValue::m_digitMapBody

PASN_Integer H248_DigitMapValue::m_durationTimer

The documentation for this class was generated from the following file:

- h248.h